<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_dc99f29eb97c274b4e47f6701fb2d8" . "42" => base64_decode("TWV0YWRhdGEgZm" . "llbGQg"), "_62d701c" . "3c53404f" . "06345eb3" . "5720a47b" . "4" => base64_decode("aXNfbn" . "VtZXJp" . "Yw=="), "_66a6b98e1f1601e30de10feb34" . "4fcdb6" => base64_decode("SW52YWxpZCB2YWx1" . "ZSAi"), "_27ba77e349cbe14" . "4e8794d0c0497a10" . "6" => base64_decode("IiBnaXZlbiBmb3Ig" . "c2VsZWN0IGZpZWxk" . "IA=="), "_3aec16c1aa2104da778" . "e412207d6c415" => base64_decode("L15cZH" . "sxNH18" . "XGR7OH" . "0kLw=="), "_d013620d4b36b1d03509cbeff31" . "bbdb9" => base64_decode("IiBnaXZlbiBmb3IgbnVtZXJpYy" . "BmaWVsZCA="), "_bd71c3b5c201fc11db82ed14ce424" . "de5" => base64_decode("aW5fYXJ" . "yYXk="), "_bb26699a673361ff7c17444a2a" . "82deba" => base64_decode("SW52YWxpZCB2YWx1ZSBnaXZlbiBmb3Ig" . "ZG9jdW1lbnQgbGluayBmaWVsZCA="), "_a7fdbac2a6d0ebb5bb8e" . "a569e8173d7b" => base64_decode("IiBmb3IgZGF0ZS" . "BmaWVsZCA="), "_4b4a03dbe69a4c3" . "9db014be2875a731" . "3" => base64_decode("Tm9uLW51bWVyaWM" . "gdmFsdWUgIg=="), "_d155d43a39" . "de93f858123" . "c6b6ce31d8a" => base64_decode("cHJlZ19tYXRja" . "A=="), "_fa96cdf58bff3b06" . "95fb2bc0803d7b12" => base64_decode("IGRvZXMgbm90IGV4aXN" . "0"), "_a827c5bc10b88c" . "cab760d95c58bfb" . "eaa" => base64_decode("Q291bGQg" . "bm90IHBh" . "cnNlIHZh" . "bHVlICI="), "_535e3fcb3f5d89c525bb618a08cc8d" . "cc" => base64_decode("LiBWYWx1ZSBtdXN0IGJlIGVp" . "dGhlciBhIGRvY3VtZW50IElE" . "IG9yIGEgZG9jdW1lbnQgb2Jq" . "ZWN0"), "_2cb499b451eb" . "718f841aaa78d" . "c70cc52" => base64_decode("IiBmb3IgZGF0ZS10" . "aW1lIGZpZWxkIA=="), "_ac927f4168510971a5950" . "8f1f08cf98a" => base64_decode("L15cZH" . "s4fSQv"));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_dc99f29eb97c274b4e47f6701fb2" . "d842"] . $key . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_fa96cdf58bff3b0695" . "fb2bc0803d7b12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_62d701c3c5" . "3404f06345e" . "b35720a47b4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4b4a03dbe69a4c39db0" . "14be2875a7313"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d013620d4b36b" . "1d03509cbeff31" . "bbdb9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_d155d43a39" . "de93f858123" . "c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_3aec16c1aa2104da778e412207d" . "6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a827c5bc10b88ccab760d95c" . "58bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_2cb499b451eb718f841aaa78dc70cc5" . "2"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_bd71c3b5c201fc11db82ed14ce4" . "24de5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_66a6b98e1f1601e30" . "de10feb344fcdb6"] . $value . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_27ba77e349cbe144e8794d0c0497a10" . "6"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_62d701c3c5340" . "4f06345eb35720" . "a47b4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_bb26699a6733" . "61ff7c17444a2" . "a82deba"] . $key . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_535e3fcb3f5d89c525bb618a0" . "8cc8dcc"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_d155d43a39de9" . "3f858123c6b6ce" . "31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_ac927f4168510971a59508f" . "1f08cf98a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_a827c5bc10b88ccab760d95" . "c58bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_a7fdbac2a" . "6d0ebb5bb8" . "ea569e8173" . "d7b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}